from setuptools import setup, find_packages

f = open('README.rst')
readme = f.read()
f.close()

setup(
    name='jmb.filters',
    namespace_packages = ['jmb'],
    version='0.1.2',
    description=('jmb.filters is a reusable Django application for allowing'
                 ' users to filter querysets dynamically.'),
    long_description=readme,
    author='Alex Gaynor, Alessandro Dentella',
    author_email='sandro@e-den.it',
    url='http://github.com/alex/django-filter/tree/master',
    packages=find_packages(exclude=['tests', 'test_project', 'test_project.*',]),
    license='BSD',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Framework :: Django',
    ],
    include_package_data=True,
    zip_safe=False,
    package_data={
        'jmb.filters' : [
              'jmb.filters/locale/it/LC_MESSAGES/django.mo',
              'jmb.filters/tests/templates/tests/book_filter.html'
              ],
     }
    
)
